=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2008-07-02 09:33:19 +0000
+++ bzrlib/bzrdir.py	2008-07-03 07:06:24 +0000
@@ -857,15 +857,14 @@
         relpath is the portion of the path that is contained by the innermost
         BzrDir.
 
-        If no tree, branch or repository is found, a NotVersionedError is
-        raised.
+        If no tree, branch or repository is found, a NotBranchError is raised.
         """
         bzrdir, relpath = klass.open_containing(location)
         try:
             tree, branch = bzrdir._get_tree_branch()
         except errors.NotBranchError:
             try:
-                repo = klass.open_containing(location)[0].find_repository()
+                repo = bzrdir.find_repository()
                 return None, None, repo, relpath
             except (errors.NoRepositoryPresent):
                 raise errors.NotBranchError(location)

=== modified file 'bzrlib/check.py'
--- bzrlib/check.py	2008-07-02 09:40:23 +0000
+++ bzrlib/check.py	2008-07-03 07:06:24 +0000
@@ -39,7 +39,7 @@
 from bzrlib.bzrdir import BzrDir
 from bzrlib.errors import BzrCheckError
 from bzrlib.repository import Repository
-from bzrlib.symbol_versioning import deprecated_function, one_six
+from bzrlib.symbol_versioning import deprecated_function, deprecated_in
 from bzrlib.trace import log_error, note
 import bzrlib.ui
 from bzrlib.workingtree import WorkingTree
@@ -241,7 +241,7 @@
             seen_names[path] = True
 
 
-@deprecated_function(one_six)
+@deprecated_function(deprecated_in((1,6,0)))
 def check(branch, verbose):
     """Run consistency checks on a branch.
     
@@ -283,9 +283,8 @@
             # The branch is in a shared repository
             repo = branch.repository
         branches = [branch]
-    else:
-        if repo is not None:
-            branches = repo.find_branches(using=True)
+    elif repo is not None:
+        branches = repo.find_branches(using=True)
 
     if repo is not None:
         repo.lock_read()

